Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.jbrowser
Class RWModifier

    java.lang.Object
      java.lang.reflect.Modifier
          gnu.jbrowser.RWModifier

    public class RWModifier

extends java.lang.reflect.Modifier

Read/Write extension to java.lang.reflect.Modifier.

Field Summary

Fields inherited from class java.lang.reflect.Modifier
`ABSTRACT, FINAL, INTERFACE, NATIVE, PRIVATE, PROTECTED, PUBLIC, STATIC, SYNCHRONIZED, TRANSIENT, VOLATILE`

Constructor Summary
`RWModifier()`

Method Summary
`static int` | `getMemberVisIndex(int mod)`
`static int` | `getTopLevelVisIndex(int mod)`
`static int` | `getVisLevelIndex(int mod)`
`static boolean` | `isClass(int mod)`
`static boolean` | `isClassOrInterface(int mod)`
`static boolean` | `isStrict(int mod)`
`static boolean` | `isValidAbstractMethod(int mod)`
`static boolean` | `isValidForClass(int mod)`
`static boolean` | `isValidForConstructor(int mod)` Note: !
`static boolean` | `isValidInterfaceMethod(int mod)`
`static int` | `setAbstract(int mod)`
`static int` | `setAbstract(int mod, boolean setFlag)`
`static int` | `setClass(int mod)`
`static int` | `setClass(int mod, boolean setFlag)`
`static int` | `setFinal(int mod)`
`static int` | `setFinal(int mod, boolean setFlag)`
`static int` | `setInterface(int mod)`
`static int` | `setInterface(int mod, boolean setFlag)`
`static int` | `setNative(int mod)`
`static int` | `setNative(int mod, boolean setFlag)`
`static int` | `setPrivate(int mod)`
`static int` | `setPrivate(int mod, boolean setFlag)`
`static int` | `setProtected(int mod)`
`static int` | `setProtected(int mod, boolean setFlag)`
`static int` | `setPublic(int mod)`
`static int` | `setPublic(int mod, boolean setFlag)`
`static int` | `setStatic(int mod)`
`static int` | `setStatic(int mod, boolean setFlag)`
`static int` | `setStrict(int mod)`
`static int` | `setStrict(int mod, boolean setFlag)`
`static int` | `setSynchronized(int mod)`
`static int` | `setSynchronized(int mod, boolean setFlag)`
`static int` | `setTransient(int mod)`
`static int` | `setTransient(int mod, boolean setFlag)`
`static int` | `setVolatile(int mod)`
`static int` | `setVolatile(int mod, boolean setFlag)`
`static java.lang.String` | `toString(int mod, Options.DisplayIro displayOpt)`

Methods inherited from class java.lang.reflect.Modifier
`isAbstract, isFinal, isInterface, isNative, isPrivate, isProtected, isPublic, isStatic, isSynchronized, isTransient, isVolatile, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RWModifier

    public RWModifier()

Method Detail

### isStrict

    public static final boolean isStrict(int mod)

### isClass

    public static final boolean isClass(int mod)

### isClassOrInterface

    public static final boolean isClassOrInterface(int mod)

### setClass

    public static final int setClass(int mod)

### setAbstract

    public static final int setAbstract(int mod)

### setFinal

    public static final int setFinal(int mod)

### setInterface

    public static final int setInterface(int mod)

### setNative

    public static final int setNative(int mod)

### setPrivate

    public static final int setPrivate(int mod)

### setProtected

    public static final int setProtected(int mod)

### setPublic

    public static final int setPublic(int mod)

### setStatic

    public static final int setStatic(int mod)

### setStrict

    public static final int setStrict(int mod)

### setSynchronized

    public static final int setSynchronized(int mod)

### setTransient

    public static final int setTransient(int mod)

### setVolatile

    public static final int setVolatile(int mod)

### setClass

    public static final int setClass(int mod,
                                     boolean setFlag)

### setAbstract

    public static final int setAbstract(int mod,
                                        boolean setFlag)

### setFinal

    public static final int setFinal(int mod,
                                     boolean setFlag)

### setInterface

    public static final int setInterface(int mod,
                                         boolean setFlag)

### setNative

    public static final int setNative(int mod,
                                      boolean setFlag)

### setPrivate

    public static final int setPrivate(int mod,
                                       boolean setFlag)

### setProtected

    public static final int setProtected(int mod,
                                         boolean setFlag)

### setPublic

    public static final int setPublic(int mod,
                                      boolean setFlag)

### setStatic

    public static final int setStatic(int mod,
                                      boolean setFlag)

### setStrict

    public static final int setStrict(int mod,
                                      boolean setFlag)

### setSynchronized

    public static final int setSynchronized(int mod,
                                            boolean setFlag)

### setTransient

    public static final int setTransient(int mod,
                                         boolean setFlag)

### setVolatile

    public static final int setVolatile(int mod,
                                        boolean setFlag)

### isValidForClass

    public static boolean isValidForClass(int mod)

### isValidForConstructor

    public static boolean isValidForConstructor(int mod)

  Note: !isClassOrInterface(int mod) is assumed.

### isValidInterfaceMethod

    public static boolean isValidInterfaceMethod(int mod)

### isValidAbstractMethod

    public static boolean isValidAbstractMethod(int mod)

### toString

    public static java.lang.String toString(int mod,
                                            Options.DisplayIro displayOpt)

### getVisLevelIndex

    public static final int getVisLevelIndex(int mod)

### getTopLevelVisIndex

    public static final int getTopLevelVisIndex(int mod)

### getMemberVisIndex

    public static final int getMemberVisIndex(int mod)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.